SGAccessLibrary (softwaregateway-client 2.0.0-3.7.0 API)
Date: 2015-05-19

org.gcube.vremanagement.softwaregateway.client

## Class SGAccessLibrary

- java.lang.Object
- - org.gcube.vremanagement.softwaregateway.client.SGAccessLibrary

- All Implemented Interfaces:
    SGAccessInterface

      public class SGAccessLibrary
      extends Object
      implements SGAccessInterface

  Author:
    Roberto Cirillo ( ISTI - CNR)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SGAccessLibrary(org.gcube.common.clients.delegates.ProxyDelegate<SGAccessServiceJAXWSStubs> delegate)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDependencies(Types.DependenciesCoordinates packageCoordinates)`
    `String` | `getLocation(Types.PackageCoordinates packageCoordinates)`
    `Types.getPackagesResponse` | `getPackages(Types.ServiceCoordinates serviceCoordinates)`
    `Types.getPluginResponse` | `getPlugins(Types.PluginCoordinates serviceCoordinates)`
    `String` | `getSALocation(Types.SACoordinates saCoordinates)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SGAccessLibrary

          public SGAccessLibrary(org.gcube.common.clients.delegates.ProxyDelegate<SGAccessServiceJAXWSStubs> delegate)

  - ### Method Detail

    - #### getLocation

          public String getLocation(Types.PackageCoordinates packageCoordinates)

      Specified by:
        `getLocation` in interface `SGAccessInterface`

    - #### getSALocation

          public String getSALocation(Types.SACoordinates saCoordinates)

      Specified by:
        `getSALocation` in interface `SGAccessInterface`

    - #### getDependencies

          public String getDependencies(Types.DependenciesCoordinates packageCoordinates)

      Specified by:
        `getDependencies` in interface `SGAccessInterface`

    - #### getPackages

          public Types.getPackagesResponse getPackages(Types.ServiceCoordinates serviceCoordinates)

      Specified by:
        `getPackages` in interface `SGAccessInterface`

    - #### getPlugins

          public Types.getPluginResponse getPlugins(Types.PluginCoordinates serviceCoordinates)

      Specified by:
        `getPlugins` in interface `SGAccessInterface`

Copyright © 2015. All Rights Reserved.